arrow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From w...@apache.org
Subject arrow git commit: ARROW-189: Build 3rd party with ExternalProject.
Date Tue, 11 Oct 2016 18:00:43 GMT
Repository: arrow
Updated Branches:
  refs/heads/master 8c8d341e1 -> 994aa5a90


ARROW-189: Build 3rd party with ExternalProject.

When third party env vars *_HOME are not present, use cmake's
ExternalProject to fetch and build them.  When those vars are present,
we just use them.

Author: Leif Walsh <leif@twosigma.com>

Closes #167 from leifwalsh/cmake-externalproject and squashes the following commits:

e4fb63a [Leif Walsh] ARROW-189: Remove 3rd party from conda build.
7892bae [Leif Walsh] ARROW-189: Fix darwin build.
8630428 [Leif Walsh] ARROW-189: Addressed CR comments.
8215abc [Leif Walsh] ARROW-189: Build 3rd party with ExternalProject.


Project: http://git-wip-us.apache.org/repos/asf/arrow/repo
Commit: http://git-wip-us.apache.org/repos/asf/arrow/commit/994aa5a9
Tree: http://git-wip-us.apache.org/repos/asf/arrow/tree/994aa5a9
Diff: http://git-wip-us.apache.org/repos/asf/arrow/diff/994aa5a9

Branch: refs/heads/master
Commit: 994aa5a903917aca0c9dd372341d4dcbc8be3aa5
Parents: 8c8d341
Author: Leif Walsh <leif@twosigma.com>
Authored: Tue Oct 11 14:00:36 2016 -0400
Committer: Wes McKinney <wes.mckinney@twosigma.com>
Committed: Tue Oct 11 14:00:36 2016 -0400

----------------------------------------------------------------------
 ci/travis_before_script_cpp.sh        |   8 ---
 ci/travis_script_python.sh            |   5 --
 cpp/CMakeLists.txt                    | 107 ++++++++++++++++++++++++-----
 cpp/README.md                         |  18 +----
 cpp/conda.recipe/build.sh             |  10 ---
 cpp/doc/Parquet.md                    |   1 -
 cpp/setup_build_env.sh                |  21 ------
 cpp/src/arrow/ipc/CMakeLists.txt      |  10 ++-
 cpp/thirdparty/build_thirdparty.sh    | 104 ----------------------------
 cpp/thirdparty/download_thirdparty.sh |  44 ------------
 cpp/thirdparty/set_thirdparty_env.sh  |  24 -------
 cpp/thirdparty/versions.sh            |  23 -------
 12 files changed, 101 insertions(+), 274 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/ci/travis_before_script_cpp.sh
----------------------------------------------------------------------
diff --git a/ci/travis_before_script_cpp.sh b/ci/travis_before_script_cpp.sh
index acd820b..2d4224b 100755
--- a/ci/travis_before_script_cpp.sh
+++ b/ci/travis_before_script_cpp.sh
@@ -26,14 +26,6 @@ pushd $CPP_BUILD_DIR
 
 CPP_DIR=$TRAVIS_BUILD_DIR/cpp
 
-# Build an isolated thirdparty
-cp -r $CPP_DIR/thirdparty .
-cp $CPP_DIR/setup_build_env.sh .
-
-source setup_build_env.sh
-
-echo $GTEST_HOME
-
 : ${ARROW_CPP_INSTALL=$TRAVIS_BUILD_DIR/cpp-install}
 
 CMAKE_COMMON_FLAGS="\

http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/ci/travis_script_python.sh
----------------------------------------------------------------------
diff --git a/ci/travis_script_python.sh b/ci/travis_script_python.sh
index a75ff07..97f0563 100755
--- a/ci/travis_script_python.sh
+++ b/ci/travis_script_python.sh
@@ -21,11 +21,6 @@ export MINICONDA=$HOME/miniconda
 export PATH="$MINICONDA/bin:$PATH"
 export PARQUET_HOME=$MINICONDA
 
-# Share environment with C++
-pushd $CPP_BUILD_DIR
-source setup_build_env.sh
-popd
-
 pushd $PYTHON_DIR
 
 python_version_tests() {

http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/cpp/CMakeLists.txt
----------------------------------------------------------------------
diff --git a/cpp/CMakeLists.txt b/cpp/CMakeLists.txt
index f70c8ab..d682dc7 100644
--- a/cpp/CMakeLists.txt
+++ b/cpp/CMakeLists.txt
@@ -21,10 +21,15 @@ project(arrow)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake_modules")
 
 include(CMakeParseArguments)
+include(ExternalProject)
 
 set(BUILD_SUPPORT_DIR "${CMAKE_SOURCE_DIR}/build-support")
 set(THIRDPARTY_DIR "${CMAKE_SOURCE_DIR}/thirdparty")
 
+set(GTEST_VERSION "1.7.0")
+set(GBENCHMARK_VERSION "1.0.0")
+set(FLATBUFFERS_VERSION "1.3.0")
+
 find_package(ClangTools)
 if ("$ENV{CMAKE_EXPORT_COMPILE_COMMANDS}" STREQUAL "1" OR CLANG_TIDY_FOUND)
   # Generate a Clang compile_commands.json "compilation database" file for use
@@ -422,16 +427,6 @@ function(ADD_THIRDPARTY_LIB LIB_NAME)
   endif()
 endfunction()
 
-## GTest
-if ("$ENV{GTEST_HOME}" STREQUAL "")
-  set(GTest_HOME ${THIRDPARTY_DIR}/googletest-release-1.7.0)
-endif()
-
-## Google Benchmark
-if ("$ENV{GBENCHMARK_HOME}" STREQUAL "")
-  set(GBENCHMARK_HOME ${THIRDPARTY_DIR}/installed)
-endif()
-
 # ----------------------------------------------------------------------
 # Add Boost dependencies (code adapted from Apache Kudu (incubating))
 
@@ -476,18 +471,78 @@ include_directories(SYSTEM ${Boost_INCLUDE_DIR})
 
 if(ARROW_BUILD_TESTS)
   add_custom_target(unittest ctest -L unittest)
-  find_package(GTest REQUIRED)
+
+  if("$ENV{GTEST_HOME}" STREQUAL "")
+    if(APPLE)
+      set(GTEST_CMAKE_CXX_FLAGS "-fPIC -std=c++11 -stdlib=libc++ -DGTEST_USE_OWN_TR1_TUPLE=1
-Wno-unused-value -Wno-ignored-attributes")
+    else()
+      set(GTEST_CMAKE_CXX_FLAGS "-fPIC")
+    endif()
+
+    ExternalProject_Add(googletest_ep
+      URL "https://github.com/google/googletest/archive/release-${GTEST_VERSION}.tar.gz"
+      CMAKE_ARGS -DCMAKE_CXX_FLAGS=${GTEST_CMAKE_CXX_FLAGS}
+      # googletest doesn't define install rules, so just build in the
+      # source dir and don't try to install.  See its README for
+      # details.
+      BUILD_IN_SOURCE 1
+      INSTALL_COMMAND "")
+
+    set(GTEST_PREFIX "${CMAKE_CURRENT_BINARY_DIR}/googletest_ep-prefix/src/googletest_ep")
+    set(GTEST_INCLUDE_DIR "${GTEST_PREFIX}/include")
+    set(GTEST_STATIC_LIB "${GTEST_PREFIX}/libgtest.a")
+    set(GTEST_VENDORED 1)
+  else()
+    find_package(GTest REQUIRED)
+    set(GTEST_VENDORED 0)
+  endif()
+
+  message(STATUS "GTest include dir: ${GTEST_INCLUDE_DIR}")
+  message(STATUS "GTest static library: ${GTEST_STATIC_LIB}")
   include_directories(SYSTEM ${GTEST_INCLUDE_DIR})
   ADD_THIRDPARTY_LIB(gtest
     STATIC_LIB ${GTEST_STATIC_LIB})
+
+  if(GTEST_VENDORED)
+    add_dependencies(gtest googletest_ep)
+  endif()
 endif()
 
 if(ARROW_BUILD_BENCHMARKS)
   add_custom_target(runbenchmark ctest -L benchmark)
-  find_package(GBenchmark REQUIRED)
+
+  if("$ENV{GBENCHMARK_HOME}" STREQUAL "")
+    if(APPLE)
+      set(GBENCHMARK_CMAKE_CXX_FLAGS "-std=c++11 -stdlib=libc++")
+    else()
+      set(GBENCHMARK_CMAKE_CXX_FLAGS "--std=c++11")
+    endif()
+
+    set(GBENCHMARK_PREFIX "${CMAKE_CURRENT_BINARY_DIR}/gbenchmark_ep/src/gbenchmark_ep-install")
+    ExternalProject_Add(gbenchmark_ep
+      URL "https://github.com/google/benchmark/archive/v${GBENCHMARK_VERSION}.tar.gz"
+      CMAKE_ARGS
+        "-DCMAKE_BUILD_TYPE=Release"
+        "-DCMAKE_INSTALL_PREFIX:PATH=${GBENCHMARK_PREFIX}"
+        "-DCMAKE_CXX_FLAGS=-fPIC ${GBENCHMARK_CMAKE_CXX_FLAGS}")
+
+    set(GBENCHMARK_INCLUDE_DIR "${GBENCHMARK_PREFIX}/include")
+    set(GBENCHMARK_STATIC_LIB "${GBENCHMARK_PREFIX}/lib/libbenchmark.a")
+    set(GBENCHMARK_VENDORED 1)
+  else()
+    find_package(GBenchmark REQUIRED)
+    set(GBENCHMARK_VENDORED 0)
+  endif()
+
+  message(STATUS "GBenchmark include dir: ${GBENCHMARK_INCLUDE_DIR}")
+  message(STATUS "GBenchmark static library: ${GBENCHMARK_STATIC_LIB}")
   include_directories(SYSTEM ${GBENCHMARK_INCLUDE_DIR})
   ADD_THIRDPARTY_LIB(benchmark
     STATIC_LIB ${GBENCHMARK_STATIC_LIB})
+
+  if(GBENCHMARK_VENDORED)
+    add_dependencies(benchmark gbenchmark_ep)
+  endif()
 endif()
 
 ## Google PerfTools
@@ -705,14 +760,34 @@ add_subdirectory(src/arrow/types)
 
 ## Flatbuffers
 if(ARROW_IPC)
-  find_package(Flatbuffers REQUIRED)
+  if("$ENV{FLATBUFFERS_HOME}" STREQUAL "")
+    set(FLATBUFFERS_PREFIX "${CMAKE_CURRENT_BINARY_DIR}/flatbuffers_ep-prefix/src/flatbuffers_ep-install")
+    ExternalProject_Add(flatbuffers_ep
+      URL "https://github.com/google/flatbuffers/archive/v${FLATBUFFERS_VERSION}.tar.gz"
+      CMAKE_ARGS
+        "-DCMAKE_CXX_FLAGS=-fPIC"
+        "-DCMAKE_INSTALL_PREFIX:PATH=${FLATBUFFERS_PREFIX}"
+        "-DFLATBUFFERS_BUILD_TESTS=OFF")
+
+    set(FLATBUFFERS_INCLUDE_DIR "${FLATBUFFERS_PREFIX}/include")
+    set(FLATBUFFERS_STATIC_LIB "${FLATBUFFERS_PREFIX}/libflatbuffers.a")
+    set(FLATBUFFERS_COMPILER "${FLATBUFFERS_PREFIX}/bin/flatc")
+    set(FLATBUFFERS_VENDORED 1)
+  else()
+    find_package(Flatbuffers REQUIRED)
+    set(FLATBUFFERS_VENDORED 0)
+  endif()
+
   message(STATUS "Flatbuffers include dir: ${FLATBUFFERS_INCLUDE_DIR}")
   message(STATUS "Flatbuffers static library: ${FLATBUFFERS_STATIC_LIB}")
   message(STATUS "Flatbuffers compiler: ${FLATBUFFERS_COMPILER}")
   include_directories(SYSTEM ${FLATBUFFERS_INCLUDE_DIR})
-  add_library(flatbuffers STATIC IMPORTED)
-  set_target_properties(flatbuffers PROPERTIES
-    IMPORTED_LOCATION ${FLATBUFFERS_STATIC_LIB})
+  ADD_THIRDPARTY_LIB(flatbuffers
+    STATIC_LIB ${FLATBUFFERS_STATIC_LIB})
+
+  if(FLATBUFFERS_VENDORED)
+    add_dependencies(flatbuffers flatbuffers_ep)
+  endif()
 
   add_subdirectory(src/arrow/ipc)
 endif()

http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/cpp/README.md
----------------------------------------------------------------------
diff --git a/cpp/README.md b/cpp/README.md
index a1c3ef2..190e6f8 100644
--- a/cpp/README.md
+++ b/cpp/README.md
@@ -22,23 +22,6 @@ out-of-source builds with the latter one being preferred.
 Arrow requires a C++11-enabled compiler. On Linux, gcc 4.8 and higher should be
 sufficient.
 
-To build the thirdparty build dependencies, run:
-
-```
-./thirdparty/download_thirdparty.sh
-./thirdparty/build_thirdparty.sh
-source ./thirdparty/set_thirdparty_env.sh
-```
-
-You can also run from the root of the C++ tree
-
-```
-source setup_build_env.sh
-```
-
-Arrow is configured to use the `thirdparty` directory by default for its build
-dependencies. To set up a custom toolchain see below.
-
 Simple debug build:
 
     mkdir debug
@@ -76,6 +59,7 @@ variables
 * Googletest: `GTEST_HOME` (only required to build the unit tests)
 * Google Benchmark: `GBENCHMARK_HOME` (only required if building benchmarks)
 * Flatbuffers: `FLATBUFFERS_HOME` (only required for the IPC extensions)
+* Hadoop: `HADOOP_HOME` (only required for the HDFS I/O extensions)
 
 ## Continuous Integration
 

http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/cpp/conda.recipe/build.sh
----------------------------------------------------------------------
diff --git a/cpp/conda.recipe/build.sh b/cpp/conda.recipe/build.sh
index 6d7454e..0536fd9 100644
--- a/cpp/conda.recipe/build.sh
+++ b/cpp/conda.recipe/build.sh
@@ -38,19 +38,9 @@ cd ..
 
 rm -rf conda-build
 mkdir conda-build
-
-cp -r thirdparty conda-build/
-
 cd conda-build
 pwd
 
-# Build googletest for running unit tests
-./thirdparty/download_thirdparty.sh
-./thirdparty/build_thirdparty.sh gtest
-
-source thirdparty/versions.sh
-export GTEST_HOME=`pwd`/thirdparty/$GTEST_BASEDIR
-
 # if [ `uname` == Linux ]; then
 #     SHARED_LINKER_FLAGS='-static-libstdc++'
 # elif [ `uname` == Darwin ]; then

http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/cpp/doc/Parquet.md
----------------------------------------------------------------------
diff --git a/cpp/doc/Parquet.md b/cpp/doc/Parquet.md
index 34b83e7..4985dd3 100644
--- a/cpp/doc/Parquet.md
+++ b/cpp/doc/Parquet.md
@@ -24,7 +24,6 @@ export ARROW_HOME=$HOME/local
 
 git clone https://github.com/apache/parquet-cpp.git
 cd parquet-cpp
-source setup_build_env.sh
 cmake -DCMAKE_INSTALL_PREFIX=$PARQUET_HOME -DPARQUET_ARROW=on
 make -j4
 make install

http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/cpp/setup_build_env.sh
----------------------------------------------------------------------
diff --git a/cpp/setup_build_env.sh b/cpp/setup_build_env.sh
deleted file mode 100755
index 5462167..0000000
--- a/cpp/setup_build_env.sh
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/bash
-
-#  Licensed under the Apache License, Version 2.0 (the "License");
-#  you may not use this file except in compliance with the License.
-#  You may obtain a copy of the License at
-#
-#   http://www.apache.org/licenses/LICENSE-2.0
-#
-#  Unless required by applicable law or agreed to in writing, software
-#  distributed under the License is distributed on an "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#  See the License for the specific language governing permissions and
-#  limitations under the License. See accompanying LICENSE file.
-
-SOURCE_DIR=$(cd "$(dirname "${BASH_SOURCE:-$0}")"; pwd)
-
-./thirdparty/download_thirdparty.sh || { echo "download_thirdparty.sh failed" ; return; }
-./thirdparty/build_thirdparty.sh || { echo "build_thirdparty.sh failed" ; return; }
-source ./thirdparty/set_thirdparty_env.sh || { echo "source set_thirdparty_env.sh failed"
; return; }
-
-echo "Build env initialized"

http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/cpp/src/arrow/ipc/CMakeLists.txt
----------------------------------------------------------------------
diff --git a/cpp/src/arrow/ipc/CMakeLists.txt b/cpp/src/arrow/ipc/CMakeLists.txt
index 8dcd9ac..d2db339 100644
--- a/cpp/src/arrow/ipc/CMakeLists.txt
+++ b/cpp/src/arrow/ipc/CMakeLists.txt
@@ -42,6 +42,9 @@ set(ARROW_IPC_SRCS
 add_library(arrow_ipc SHARED
   ${ARROW_IPC_SRCS}
 )
+if(FLATBUFFERS_VENDORED)
+  add_dependencies(arrow_ipc flatbuffers_ep)
+endif()
 target_link_libraries(arrow_ipc
   LINK_PUBLIC ${ARROW_IPC_LINK_LIBS}
   LINK_PRIVATE ${ARROW_IPC_PRIVATE_LINK_LIBS})
@@ -91,10 +94,15 @@ foreach(FIL ${FBS_SRC})
   list(APPEND ABS_FBS_SRC ${ABS_FIL})
 endforeach()
 
+if(FLATBUFFERS_VENDORED)
+  set(FBS_DEPENDS ${ABS_FBS_SRC} flatbuffers_ep)
+else()
+  set(FBS_DEPENDS ${ABS_FBS_SRC})
+endif()
 add_custom_command(
   OUTPUT ${FBS_OUTPUT_FILES}
   COMMAND ${FLATBUFFERS_COMPILER} -c -o ${OUTPUT_DIR} ${ABS_FBS_SRC}
-  DEPENDS ${ABS_FBS_SRC}
+  DEPENDS ${FBS_DEPENDS}
   COMMENT "Running flatc compiler on ${ABS_FBS_SRC}"
   VERBATIM
 )

http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/cpp/thirdparty/build_thirdparty.sh
----------------------------------------------------------------------
diff --git a/cpp/thirdparty/build_thirdparty.sh b/cpp/thirdparty/build_thirdparty.sh
deleted file mode 100755
index 5011e29..0000000
--- a/cpp/thirdparty/build_thirdparty.sh
+++ /dev/null
@@ -1,104 +0,0 @@
-#!/bin/bash
-
-#  Licensed under the Apache License, Version 2.0 (the "License");
-#  you may not use this file except in compliance with the License.
-#  You may obtain a copy of the License at
-#
-#   http://www.apache.org/licenses/LICENSE-2.0
-#
-#  Unless required by applicable law or agreed to in writing, software
-#  distributed under the License is distributed on an "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#  See the License for the specific language governing permissions and
-#  limitations under the License. See accompanying LICENSE file.
-
-set -x
-set -e
-TP_DIR=$(cd "$(dirname "${BASH_SOURCE:-$0}")"; pwd)
-
-source $TP_DIR/versions.sh
-PREFIX=$TP_DIR/installed
-
-################################################################################
-
-if [ "$#" = "0" ]; then
-  F_ALL=1
-else
-  # Allow passing specific libs to build on the command line
-  for arg in "$*"; do
-    case $arg in
-      "gtest")      F_GTEST=1 ;;
-      "gbenchmark")      F_GBENCHMARK=1 ;;
-      "flatbuffers")      F_FLATBUFFERS=1 ;;
-      *)            echo "Unknown module: $arg"; exit 1 ;;
-    esac
-  done
-fi
-
-################################################################################
-
-# Determine how many parallel jobs to use for make based on the number of cores
-if [[ "$OSTYPE" =~ ^linux ]]; then
-  PARALLEL=$(grep -c processor /proc/cpuinfo)
-elif [[ "$OSTYPE" == "darwin"* ]]; then
-  PARALLEL=$(sysctl -n hw.ncpu)
-else
-  echo Unsupported platform $OSTYPE
-  exit 1
-fi
-
-mkdir -p "$PREFIX/include"
-mkdir -p "$PREFIX/lib"
-
-# On some systems, autotools installs libraries to lib64 rather than lib.  Fix
-# this by setting up lib64 as a symlink to lib.  We have to do this step first
-# to handle cases where one third-party library depends on another.
-ln -sf lib "$PREFIX/lib64"
-
-# use the compiled tools
-export PATH=$PREFIX/bin:$PATH
-
-type cmake >/dev/null 2>&1 || { echo >&2 "cmake not installed.  Aborting.";
exit 1; }
-type make >/dev/null 2>&1 || { echo >&2 "make not installed.  Aborting.";
exit 1; }
-
-STANDARD_DARWIN_FLAGS="-std=c++11 -stdlib=libc++"
-
-# build googletest
-GOOGLETEST_ERROR="failed for googletest!"
-if [ -n "$F_ALL" -o -n "$F_GTEST" ]; then
-  cd $TP_DIR/$GTEST_BASEDIR
-
-  if [[ "$OSTYPE" == "darwin"* ]]; then
-    CXXFLAGS=-fPIC cmake -DCMAKE_CXX_FLAGS="$STANDARD_DARWIN_FLAGS -DGTEST_USE_OWN_TR1_TUPLE=1
-Wno-unused-value -Wno-ignored-attributes" || { echo "cmake $GOOGLETEST_ERROR" ; exit  1;
}
-  else
-    CXXFLAGS=-fPIC cmake . || { echo "cmake $GOOGLETEST_ERROR"; exit  1; }
-  fi
-
-  make -j$PARALLEL VERBOSE=1 || { echo "Make $GOOGLETEST_ERROR" ; exit  1; }
-fi
-
-# build google benchmark
-GBENCHMARK_ERROR="failed for google benchmark"
-if [ -n "$F_ALL" -o -n "$F_GBENCHMARK" ]; then
-  cd $TP_DIR/$GBENCHMARK_BASEDIR
-
-  CMAKE_CXX_FLAGS="--std=c++11"
-  if [[ "$OSTYPE" == "darwin"* ]]; then
-    CMAKE_CXX_FLAGS=$STANDARD_DARWIN_FLAGS
-  fi
-  cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=$PREFIX -DCMAKE_CXX_FLAGS="-fPIC
$CMAKE_CXX_FLAGS" . || { echo "cmake $GBENCHMARK_ERROR" ; exit 1; }
-
-  make -j$PARALLEL VERBOSE=1 install || { echo "make $GBENCHMARK_ERROR" ; exit 1; }
-fi
-
-FLATBUFFERS_ERROR="failed for flatbuffers"
-if [ -n "$F_ALL" -o -n "$F_FLATBUFFERS" ]; then
-  cd $TP_DIR/$FLATBUFFERS_BASEDIR
-
-  CXXFLAGS=-fPIC cmake -DCMAKE_INSTALL_PREFIX:PATH=$PREFIX -DFLATBUFFERS_BUILD_TESTS=OFF
. || { echo "cmake $FLATBUFFERS_ERROR" ; exit 1; }
-  make VERBOSE=1 -j$PARALLEL || { echo "make $FLATBUFFERS_ERROR" ; exit 1; }
-  make install || { echo "install $FLATBUFFERS_ERROR" ; exit 1; }
-fi
-
-echo "---------------------"
-echo "Thirdparty dependencies built and installed into $PREFIX successfully"

http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/cpp/thirdparty/download_thirdparty.sh
----------------------------------------------------------------------
diff --git a/cpp/thirdparty/download_thirdparty.sh b/cpp/thirdparty/download_thirdparty.sh
deleted file mode 100755
index b50e7bc..0000000
--- a/cpp/thirdparty/download_thirdparty.sh
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/bin/bash
-
-#  Licensed under the Apache License, Version 2.0 (the "License");
-#  you may not use this file except in compliance with the License.
-#  You may obtain a copy of the License at
-#
-#   http://www.apache.org/licenses/LICENSE-2.0
-#
-#  Unless required by applicable law or agreed to in writing, software
-#  distributed under the License is distributed on an "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#  See the License for the specific language governing permissions and
-#  limitations under the License. See accompanying LICENSE file.
-
-set -x
-set -e
-
-TP_DIR=$(cd "$(dirname "${BASH_SOURCE:-$0}")"; pwd)
-
-source $TP_DIR/versions.sh
-
-download_extract_and_cleanup() {
-	type curl >/dev/null 2>&1 || { echo >&2 "curl not installed.  Aborting.";
exit 1; }
-	filename=$TP_DIR/$(basename "$1")
-	curl -#LC - "$1" -o $filename
-	tar xzf $filename -C $TP_DIR
-	rm $filename
-}
-
-if [ ! -d ${GTEST_BASEDIR} ]; then
-  echo "Fetching gtest"
-  download_extract_and_cleanup $GTEST_URL
-fi
-
-echo ${GBENCHMARK_BASEDIR}
-if [ ! -d ${GBENCHMARK_BASEDIR} ]; then
-  echo "Fetching google benchmark"
-  download_extract_and_cleanup $GBENCHMARK_URL
-fi
-
-if [ ! -d ${FLATBUFFERS_BASEDIR} ]; then
-  echo "Fetching flatbuffers"
-  download_extract_and_cleanup $FLATBUFFERS_URL
-fi

http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/cpp/thirdparty/set_thirdparty_env.sh
----------------------------------------------------------------------
diff --git a/cpp/thirdparty/set_thirdparty_env.sh b/cpp/thirdparty/set_thirdparty_env.sh
deleted file mode 100755
index 135972e..0000000
--- a/cpp/thirdparty/set_thirdparty_env.sh
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/usr/bash
-
-#  Licensed under the Apache License, Version 2.0 (the "License");
-#  you may not use this file except in compliance with the License.
-#  You may obtain a copy of the License at
-#
-#   http://www.apache.org/licenses/LICENSE-2.0
-#
-#  Unless required by applicable law or agreed to in writing, software
-#  distributed under the License is distributed on an "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#  See the License for the specific language governing permissions and
-#  limitations under the License. See accompanying LICENSE file.
-
-SOURCE_DIR=$(cd "$(dirname "${BASH_SOURCE:-$0}")"; pwd)
-source $SOURCE_DIR/versions.sh
-
-if [ -z "$THIRDPARTY_DIR" ]; then
-	THIRDPARTY_DIR=$SOURCE_DIR
-fi
-
-export GTEST_HOME=$THIRDPARTY_DIR/$GTEST_BASEDIR
-export GBENCHMARK_HOME=$THIRDPARTY_DIR/installed
-export FLATBUFFERS_HOME=$THIRDPARTY_DIR/installed

http://git-wip-us.apache.org/repos/asf/arrow/blob/994aa5a9/cpp/thirdparty/versions.sh
----------------------------------------------------------------------
diff --git a/cpp/thirdparty/versions.sh b/cpp/thirdparty/versions.sh
deleted file mode 100755
index a7b21e1..0000000
--- a/cpp/thirdparty/versions.sh
+++ /dev/null
@@ -1,23 +0,0 @@
-#  Licensed under the Apache License, Version 2.0 (the "License");
-#  you may not use this file except in compliance with the License.
-#  You may obtain a copy of the License at
-#
-#   http://www.apache.org/licenses/LICENSE-2.0
-#
-#  Unless required by applicable law or agreed to in writing, software
-#  distributed under the License is distributed on an "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#  See the License for the specific language governing permissions and
-#  limitations under the License. See accompanying LICENSE file.
-
-GTEST_VERSION=1.7.0
-GTEST_URL="https://github.com/google/googletest/archive/release-${GTEST_VERSION}.tar.gz"
-GTEST_BASEDIR=googletest-release-$GTEST_VERSION
-
-GBENCHMARK_VERSION=1.0.0
-GBENCHMARK_URL="https://github.com/google/benchmark/archive/v${GBENCHMARK_VERSION}.tar.gz"
-GBENCHMARK_BASEDIR=benchmark-$GBENCHMARK_VERSION
-
-FLATBUFFERS_VERSION=1.3.0
-FLATBUFFERS_URL="https://github.com/google/flatbuffers/archive/v${FLATBUFFERS_VERSION}.tar.gz"
-FLATBUFFERS_BASEDIR=flatbuffers-$FLATBUFFERS_VERSION


Mime
View raw message